Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbrain.qlink.cmd.action
Class Login

    java.lang.Object
      |
      +--org.jbrain.qlink.cmd.AbstractCommand
            |
            +--org.jbrain.qlink.cmd.action.AbstractAction
                  |
                  +--org.jbrain.qlink.cmd.action.Login

All Implemented Interfaces:
  Action, Command

public class Login
extends AbstractAction

Field Summary
`static java.lang.String` | `MNEMONIC`

Fields inherited from class org.jbrain.qlink.cmd.action.AbstractAction
`CMD_ACTION`

Fields inherited from class org.jbrain.qlink.cmd.AbstractCommand
`_iCalculatedCRC, _iReportedCRC`

Fields inherited from interface org.jbrain.qlink.cmd.Command
`CMD_START`

Constructor Summary
`Login(byte[] data, int start, int len)`
`Login(java.lang.String account, java.lang.String code)`

Method Summary
`java.lang.String` | `getAccount()`
`byte[]` | `getBytes()`
`java.lang.String` | `getCode()`

Methods inherited from class org.jbrain.qlink.cmd.action.AbstractAction
`finalizeCmd, getAction, getBytes, getName, getString`

Methods inherited from class org.jbrain.qlink.cmd.AbstractCommand
`getCommand, getRecvSequence, getSendSequence, setRecvSequence, setSendSequence`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.jbrain.qlink.cmd.Command
`getCommand, getRecvSequence, getSendSequence, setRecvSequence, setSendSequence`

Field Detail

### MNEMONIC

    public static final java.lang.String MNEMONIC

See Also:
  Constant Field Values

Constructor Detail

### Login

    public Login(byte[] data,
                 int start,
                 int len)
          throws CRCException

Parameters:
  `data` -
  `start` -
  `len` -
Throws:
  `CRCException`

### Login

    public Login(java.lang.String account,
                 java.lang.String code)

Method Detail

### getAccount

    public java.lang.String getAccount()

### getCode

    public java.lang.String getCode()

### getBytes

    public byte[] getBytes()

  Specified by:
    `getBytes` in interface `Command`
  Overrides:
    `getBytes` in class `AbstractAction`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD